//build_lib
//fonction qui cre les libraires des macros scilab
//Entre : path chemin de la libraire dans MODNUMCOS (ex: macros/util/)
//         tt nom de la librairie (ex:modnum_util)
//         tt_path nom d'une variable globale du chemin de la toolbox
//         (ex tt_path='MODNUMCOS')
//Sortie : nant
// txt : Information utile de chargement
//               ex : modnum_scicos_utils=lib(MODNUMCOS+'/macros/scicos_util/');
function []=build_lib(path,tt,tt_path)
 if size(path,'*')==size(tt,'*') then
   for i=1:size(path,'*') 
    //Affiche un message
    printf("Build "+tt(i)+" macro library\n");
    //construit la libraire tt dans le chemin path
    str='genlib('''+tt(i)+''','+tt_path+'+'''+path(i)+''',%t);'
    ierr=execstr(str,'errcatch')
    if ierr<> 0 then
     printf("Build lib : error\n");
     abort
    end
   end
 else
  printf("path and tt must have the same size");
  abort
 end
endfunction
