function cos_files=get_tests_diagram()
// returns the scicos diagrams of modnum
// 05/06//09, A.Layec, INRIA

   tt_ml=return_master_list(MODNUMCOS+'/examples/scs_diagr/');
   tt=return_cos_file(tt_ml);

   //remove buggy diagrams
   ind=find(tt(:,2)=='atten.cos') //modelica compiler error
   if ind<>[] then
     tt(ind,:)=[]
   end
   ind=find(tt(:,2)=='qpsk_etal_teb_multi.cos') //diagram not finished
   if ind<>[] then
     tt(ind,:)=[]
   end

   //remove long simulation time diagram
   ind=find(tt(:,2)=='synthe_frac_phase.cos')
   if ind<>[] then
     tt(ind,:)=[]
   end
   ind=find(tt(:,2)=='trans_chaos_em_rec.cos')
   if ind<>[] then
     tt(ind,:)=[]
   end

   cos_files=tt

endfunction
