// script pour mettre à jour les dates des copyrights
// des fichiers de la toolbox
// Author : A.Layec
// 5/03/2010 : INRIA
//
// rmq : ne pas oublier les fichiers README+les.h

function [ll]=getcfiles(path)
  ll=[];
  tt=listfiles(path);
  if (tt==[]) then return, end
  tt=path+tt;
  for i=1:size(tt,1)
    if (isdir(tt(i))) then
      ll=[ll;getcfiles(tt(i)+'/')];
    else
      [path,name,ext]=splitfilepath_cos(tt(i));
      if (ext=='c') then
        ll=[ll;tt(i)];
      elseif (ext=='h') then
        ll=[ll;tt(i)];
      elseif (name=='Readme_en') then
        ll=[ll;tt(i)];
      elseif (name=='Readme_fr') then
        ll=[ll;tt(i)];
      elseif (name=='README') then
        ll=[ll;tt(i)];
      end
    end    
  end
endfunction

curdir=getcwd();
exec(SCI+'/macros/scicos/splitfilepath_cos.sci');
chdir(MODNUM);
[ll]=getcfiles(MODNUM+'/');

for i=1:size(ll,1)
  with_cpyr=%f;
  txt=mgetl(ll(i));
  for j=1:size(txt,1)
    if (strindex(txt(j),'Copyright (C) 2007-2010 Alan Layec')<>[]) then
      txt(j)=strsubst(txt(j),'2007-2010','2007-2011');
      with_cpyr=%t;
      break
    elseif (strindex(txt(j),'Copyright (C) 2009-2010 Alan Layec')<>[]) then
      txt(j)=strsubst(txt(j),'2009-2010','2009-2011');
      with_cpyr=%t;
      break
    end
  end
  if (with_cpyr) then
    mputl(txt,ll(i));
  end
end
