//IRCOM Group - A. Layec

//REVISION HISTORY :
// $Log$

//Script for generate all palettes of modnum
//suppose that macro libraries of scicos blocks
//are already build
lines(0);
funcprot(0)
MODNUMCOS=pwd()+'/../..';
tt_path='MODNUMCOS';
getf(MODNUMCOS+'/macros/build_util/generate_palette.sci');
getf(MODNUMCOS+'/macros/build_util/build_lib.sci');
getf(MODNUMCOS+'/macros/build_util/create_modnum_pal.sci');

//Build and load signal & pll macro library
build_lib('/macros/signal','mod_num_signal',tt_path);
mod_num_signal=lib(MODNUMCOS+'/macros/signal/');
build_lib('/macros/pll','mod_num_pll',tt_path);
mod_num_pll=lib(MODNUMCOS+'/macros/pll/');
//Load scicos_block libraries
pal      = ['Communication';
            'Filter';
            'Integer';
            'NonLinear';
            'Pll';
            'Signal';
            'Sinks';
            'Sources';
            'Tools';
            'Old'];
pal_name = ['com';
            'filter';
            'integer';
            'nonlinear';
            'pll';
            'signal';
            'sinks';
            'sources';
            'tools';
            'old'];
rep      = '/macros/scicos_blocks/';
rep_pal  = rep+pal+'/';
tt=[];
for i=1:size(rep_pal,'*')
  tt=[tt;'mod_num_'+pal_name(i)+'_pal=lib(MODNUMCOS+'''+rep_pal(i)+''');'];
end
execstr(tt,'errcatch');
clear tt

lisf      = list();
gr_i      = list([]);
id        = list([]);
PalName   = list('Modnum');
path      = list(MODNUMCOS+rep);
for i=1:size(rep_pal,"*")
  files_sci=basename(listfiles(MODNUMCOS+rep_pal(i)+"*.sci"));
  //18/03/07 : patch to properly sort communication blocks
  if pal(i)=='Communication' then
    kk=[];
    kk=[kk,find(files_sci=='MODQAM_f')];
    kk=[kk,find(files_sci=='DEMODQAM_f')];
    kk=[kk,find(files_sci=='MODPSK_f')];
    kk=[kk,find(files_sci=='DEMODPSK_f')];
    jj=find(files_sci<>'DEMODQAM_f'&...
            files_sci<>'DEMODPSK_f'&...
            files_sci<>'MODQAM_f'&...
            files_sci<>'MODPSK_f');
   files_sci=[files_sci(kk);files_sci(jj)];
   clear kk; clear jj;
  end
  //generate_palette(files_sci,MODNUMCOS+'/macros/scicos_blocks/',pal(i));
  lisf($+1)      = list(files_sci+'.sci');
  gr_i($+1)      = [];
  id($+1)        = [];
  PalName($+1)   = pal(i);
  path($+1)      = MODNUMCOS+rep;
end
clear i
printf("Build modnum palettes\n");
create_modnum_pal(lisf,path,PalName,gr_i,id);