//VECTMULTCMPLX_f Scicos complexe vector multiplication
//Classical interface function ver1.0 - scilab-3
//22 dcembre 2003 - IRCOM GROUP - Author : A.Layec
function [x,y,typ]=VECTMULTCMPLX_f(job,arg1,arg2)
x=[];y=[];typ=[]
select job
case 'plot' then
  standard_draw(arg1)
case 'getinputs' then
  [x,y,typ]=standard_inputs(arg1)
case 'getoutputs' then
  [x,y,typ]=standard_outputs(arg1)
case 'getorigin' then
  [x,y]=standard_origin(arg1)
case 'set' then
   x=arg1;
   graphics=arg1.graphics;model=arg1.model;
   exprs=graphics.exprs;

   while %t do

      [ok,nu,exprs]=getvalue('Scicos complexe vector multiplication block',...
      ['Size of inputs'],list('vec',1),exprs)

      if ~ok then break,end;

      if ok then
          graphics.exprs=exprs
          model.in=[nu;nu;nu;nu];model.out=[nu;nu]
          x.graphics=graphics;x.model=model
          break;
      end
   end

case 'define' then
  nu=256

  model=scicos_model()
  model.sim=list('vectmultcmplx',4)
  model.in=[nu;nu;nu;nu]
  model.out=[nu;nu]
  model.evtin=[]
  model.evtout=[]
  model.dstate=[]
  model.rpar=[]
  model.ipar=[]
  model.blocktype='d'
  model.firing=[]
  model.dep_ut=[%t %f]

  gr_i=['txt=[''Complexe'';''Vector'';''mult''];';
    'xstringb(orig(1),orig(2),txt,sz(1),sz(2),''fill'');']
  exprs=[string(nu)]
  x=standard_define([2 3],model,exprs,gr_i)
end
endfunction
