
F_cpf=20e6;
n=3;

f=logspace(log10(1),log10(1e9),10000);

f_step = 3.815e2;
f_lin=100:f_step:1e8-f_step;

Sdsm=(2*%pi)^2/(12*F_cpf)*(2*sin(%pi*f/F_cpf))^(2*(n-1));
Sdsm_lin=(2*%pi)^2/(12*F_cpf)*(2*sin(%pi*f_lin/F_cpf))^(2*(n-1));

kv  = 133e6;
fn  = F_cpf/290;
//fn  = 500e3;
phi = %pi/4;
Kv  = kv*2*%pi;
Icp = 5e-3;
N   = 125;
[tau1,tau,tau2] = calcul_3eme_ordre(fn,phi,Kv,Icp,N);
s   = poly(0,'s');
num_s = 1+tau1*s;
den_s = tau*s*(1+tau2*s);
num = (1+tau1*%i*2*%pi*f);
den = (tau*%i*2*%pi*f.*(1+tau2*%i*2*%pi*f));

num_lin = (1+tau1*%i*2*%pi*f_lin);
den_lin = (tau*%i*2*%pi*f_lin.*(1+tau2*%i*2*%pi*f_lin));

F = num./den;
F_lin = num_lin./den_lin;
//plot2d(f,log10(abs(F)),logflag="ln",style=2);

G = Kv*Icp/(2*%pi)*num./(2*%pi*f.*den);
GH = Kv*Icp/(2*%pi)*num./(N*2*%pi*f.*den);
B = G./(1+GH);
B_s = closedloop(num_s/den_s,kv,Icp,N);

//affiche_bode(1006,1,1e9,B_s,1);

[frq,repf]=repfreq(B_s,f);
[d,phi]=dbphi(repf);

[frq_lin,repf_lin]=repfreq(B_s,f_lin);
[d_lin,phi_lin]=dbphi(repf_lin);

scf(1);
plot2d(f,10*log10(abs(Sdsm)),logflag="ln",style=2);

scf(2);
plot2d(f,d,logflag="ln",style=2);

scf(3);
plot2d(f,d+10*log10(Sdsm),logflag="ln",style=2);
xgrid();


scf(10);
plot2d(f_lin,10*log10(abs(Sdsm_lin)),logflag="ln",style=2);

scf(20);
plot2d(f_lin,d_lin,logflag="ln",style=2);

scf(30);
plot2d(f_lin,d_lin+10*log10(Sdsm_lin),logflag="ln",style=2);
xgrid();

